1 Reply Latest reply: Sep 30, 2013 12:44 PM by Kurt Lang
srg432 Level 1 Level 1 (0 points)

I need to upgrade my internet explorer 6.0 to 7.0 for my imac.  Can i?


iMac, Mac OS X (10.6.8)